Bug 849834

Summary: CVE-2012-3512 munin: insecure state file handling, munin->root privilege [fedora-all]
Product: [Fedora] Fedora Reporter: Kurt Seifried <kseifried>
Component: muninAssignee: Kevin Fenzi <kevin>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 16CC: drjohnson1, ingvar, jvanek, kevin
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-17 17:55:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 849830    

Description Kurt Seifried 2012-08-21 01:13:05 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=849830

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2012-09-01 01:55:20 EDT
munin-2.0.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.fc18
Comment 2 Fedora Update System 2012-09-01 09:01:23 EDT
munin-2.0.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.fc17
Comment 3 Fedora Update System 2012-09-01 09:46:00 EDT
munin-2.0.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.fc16
Comment 4 Fedora Update System 2012-09-01 12:57:14 EDT
Package munin-2.0.6-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing munin-2.0.6-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13110/munin-2.0.6-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-09-01 15:41:22 EDT
munin-2.0.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.el6
Comment 6 Fedora Update System 2012-09-01 16:13:57 EDT
munin-2.0.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.el5
Comment 7 Fedora Update System 2012-09-08 02:40:02 EDT
munin-2.0.6-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.fc17
Comment 8 Fedora Update System 2012-09-08 03:27:29 EDT
munin-2.0.6-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.fc16
Comment 9 Fedora Update System 2012-09-08 03:40:57 EDT
munin-2.0.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.el6
Comment 10 Fedora Update System 2012-09-08 03:53:50 EDT
munin-2.0.6-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.el5
Comment 11 Fedora Update System 2012-09-17 17:55:49 EDT
munin-2.0.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-09-26 05:00:01 EDT
munin-2.0.6-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-09-26 05:07:34 EDT
munin-2.0.6-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-09-26 17:34:22 EDT
munin-2.0.6-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-09-26 17:37:08 EDT
munin-2.0.6-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.